package com.agiledeveloper

import org.codehaus.groovy.transform.GroovyASTTransformation
import org.codehaus.groovy.control.CompilePhase
import org.codehaus.groovy.transform.ASTTransformation
import org.codehaus.groovy.ast.ASTNode
import org.codehaus.groovy.control.SourceUnit


@GroovyASTTransformation(phase = CompilePhase.SEMANTIC_ANALYSIS)
class Transformer implements ASTTransformation {
  void visit(ASTNode[] astNodes, SourceUnit sourceUnit) {
    println("Source Unit: ${sourceUnit.name}")
  }
}